For clean Markdown of any page, append .md to the page URL. For a complete documentation index, see https://docs.synthflow.ai/api-reference/platform-api/simulations/llms.txt. For full documentation content, see https://docs.synthflow.ai/api-reference/platform-api/simulations/llms-full.txt.

# List simulation scenarios

GET https://api.synthflow.ai/v2/simulation_scenarios

List simulation scenarios with pagination and optional filtering.

Reference: https://docs.synthflow.ai/api-reference/platform-api/simulations/list-simulation-scenarios

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Synthflow APIs
  version: 1.0.0
paths:
  /simulation_scenarios:
    get:
      operationId: list-simulation-scenarios
      summary: List simulation scenarios
      description: List simulation scenarios with pagination and optional filtering.
      tags:
        - ''
      parameters:
        - name: page_number
          in: query
          description: Page number.
          required: false
          schema:
            type: integer
            default: 1
        - name: page_size
          in: query
          description: Number of items per page.
          required: false
          schema:
            type: integer
            default: 10
        - name: search
          in: query
          description: Search term for simulation scenario names.
          required: false
          schema:
            type: string
        - name: start_date
          in: query
          description: Filter by created_at >= start_date (ISO format).
          required: false
          schema:
            type: string
            format: date-time
        - name: end_date
          in: query
          description: Filter by created_at <= end_date (ISO format).
          required: false
          schema:
            type: string
            format: date-time
        - name: Authorization
          in: header
          description: Bearer authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/list-simulation-scenarios_Response_200'
        '400':
          description: '400'
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/List-simulation-scenariosRequestBadRequestError
servers:
  - url: https://api.synthflow.ai/v2
  - url: https://api.us.synthflow.ai/v2
components:
  schemas:
    status:
      type: string
      description: Whether the request was successful.
      title: status
    SimulationScenarioReadOut:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the simulation scenario
        name:
          type: string
          description: Name of the simulation scenario template
        description:
          type: string
          description: >-
            Description of what the scenario template should verify when
            generating test cases
        workspace_id:
          type: string
          description: Workspace ID this simulation scenario belongs to
        created_at:
          type: string
          format: date-time
          description: When the simulation scenario was created
        updated_at:
          type: string
          format: date-time
          description: When the simulation scenario was last updated
      title: SimulationScenarioReadOut
    PaginatedSimulationScenariosList:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/SimulationScenarioReadOut'
          description: List of simulation scenarios
        total:
          type: integer
          description: Total number of simulation scenarios
        page_number:
          type: integer
          description: Current page number
        page_size:
          type: integer
          description: Number of items per page
      required:
        - items
        - total
        - page_number
        - page_size
      title: PaginatedSimulationScenariosList
    list-simulation-scenarios_Response_200:
      type: object
      properties:
        status:
          $ref: '#/components/schemas/status'
        response:
          $ref: '#/components/schemas/PaginatedSimulationScenariosList'
      title: list-simulation-scenarios_Response_200
    List-simulation-scenariosRequestBadRequestError:
      type: object
      properties: {}
      title: List-simulation-scenariosRequestBadRequestError
  securitySchemes:
    sec0:
      type: http
      scheme: bearer

```

## SDK Code Examples

```python
import requests

url = "https://api.synthflow.ai/v2/simulation_scenarios"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.synthflow.ai/v2/simulation_scenarios"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.synthflow.ai/v2/simulation_scenarios")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.synthflow.ai/v2/simulation_scenarios")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.synthflow.ai/v2/simulation_scenarios");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.synthflow.ai/v2/simulation_scenarios")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```